<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: GCR_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">GCR_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gaf8a567a29d2750af51eb932b7664baa3"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaf8a567a29d2750af51eb932b7664baa3">PDID</a></td></tr>
<tr class="separator:gaf8a567a29d2750af51eb932b7664baa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafe5bb4fd7cc545439b3ea01246d1524"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaafe5bb4fd7cc545439b3ea01246d1524">RSTSRC</a></td></tr>
<tr class="separator:gaafe5bb4fd7cc545439b3ea01246d1524"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a3e3d053549ccc13eb3f69a4dab6a87"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga1a3e3d053549ccc13eb3f69a4dab6a87">IPRSTC1</a></td></tr>
<tr class="separator:ga1a3e3d053549ccc13eb3f69a4dab6a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45998c8dd85ae954f05133beaa5e9616"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga45998c8dd85ae954f05133beaa5e9616">IPRSTC2</a></td></tr>
<tr class="separator:ga45998c8dd85ae954f05133beaa5e9616"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f6e038485d188d96689a2c780a47982"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga0f6e038485d188d96689a2c780a47982">BODCTL</a></td></tr>
<tr class="separator:ga0f6e038485d188d96689a2c780a47982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1703db134b6af85b089fb24527f9ae9"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaf1703db134b6af85b089fb24527f9ae9">P0_MFP</a></td></tr>
<tr class="separator:gaf1703db134b6af85b089fb24527f9ae9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab79ddc89f5e3b8253388260889dc6a83"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab79ddc89f5e3b8253388260889dc6a83">P1_MFP</a></td></tr>
<tr class="separator:gab79ddc89f5e3b8253388260889dc6a83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab15d3c4cdaab63d4e0a501303a005d0e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab15d3c4cdaab63d4e0a501303a005d0e">P2_MFP</a></td></tr>
<tr class="separator:gab15d3c4cdaab63d4e0a501303a005d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga02e963f7ef36cb80a29e07f0c896da2d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga02e963f7ef36cb80a29e07f0c896da2d">P3_MFP</a></td></tr>
<tr class="separator:ga02e963f7ef36cb80a29e07f0c896da2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad086af8759866118e50e71756e605f16"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gad086af8759866118e50e71756e605f16">P4_MFP</a></td></tr>
<tr class="separator:gad086af8759866118e50e71756e605f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e3e0d273e94aada01adfad33c9a71b9"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga3e3e0d273e94aada01adfad33c9a71b9">P5_MFP</a></td></tr>
<tr class="separator:ga3e3e0d273e94aada01adfad33c9a71b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga87f61a8a5f0021ff7d1df90012cfc7b8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga87f61a8a5f0021ff7d1df90012cfc7b8">IRCTRIMCTL</a></td></tr>
<tr class="separator:ga87f61a8a5f0021ff7d1df90012cfc7b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa506a80cdcd8402609161d711bfcde56"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaa506a80cdcd8402609161d711bfcde56">IRCTRIMIER</a></td></tr>
<tr class="separator:gaa506a80cdcd8402609161d711bfcde56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc4f4419d8713b07c3ede187da4c274a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gacc4f4419d8713b07c3ede187da4c274a">IRCTRIMISR</a></td></tr>
<tr class="separator:gacc4f4419d8713b07c3ede187da4c274a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55058438f0f5bd20b75de051e8bbef49"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga55058438f0f5bd20b75de051e8bbef49">RegLockAddr</a></td></tr>
<tr class="separator:ga55058438f0f5bd20b75de051e8bbef49"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup GCR System Global Control Registers(GCR)
Memory Mapped Structure for GCR Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l01199">1199</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
